body {
  overflow: hidden !important;
}

body social-root {
  z-index: -1;
}

body fuse-splash-screen {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;

  background-color: #ffffff;
  color: #f9fafb;

  opacity: 1;
  visibility: visible;
  transition: opacity 400ms cubic-bezier(0.4, 0, 0.2, 1);

  z-index: 999999;
  pointer-events: none;

  --loader-width: 17.5rem;
  --loader-progress-width: 4.375rem;
}

body fuse-splash-screen img {
  width: 120px;
  max-width: 120px;
}

body fuse-splash-screen .loader {
  position: relative;

  margin: 5.5rem 1rem 0 1rem;

  max-width: 100%;
  width: var(--loader-width);
  height: 0.375rem;

  background: linear-gradient(0deg, rgba(143, 168, 167, 0.12), rgba(143, 168, 167, 0.12)), #fafdfd;

  border-radius: 6.25rem;
}

body fuse-splash-screen .loader .loader__progress {
  position: absolute;
  left: 0;
  top: 0;

  height: 100%;
  width: var(--loader-progress-width);

  background: linear-gradient(90deg, #16c0d8 -0.02%, #11d5b8 100%);

  border-radius: 6.25rem;

  animation: shake 2s linear normal infinite;
  animation-direction: alternate-reverse;
}

@keyframes shake {
  0% {
    transform: translateX(calc(var(--loader-width) - var(--loader-progress-width)));
  }
  100% {
    transform: translateX(0);
  }
}
